@tailwind base;
@tailwind components;
@tailwind utilities;

Image {
    max-height: 100%;
}

img {
    max-height: 100%;
}

input,
textarea,
select {
    @apply border border-gray-200 rounded-sm w-full py-2 px-4;
    @apply shadow-sm;
    @apply mb-2
}

input:focus, textarea:focus select:focus {
    @apply border-blue-900
}

h1 {
    @apply text-gray-900 mb-3 text-xl
}

label {
    @apply text-gray-800 text-sm 
}

.btn-primary {
    @apply bg-primary text-white px-4 rounded-md py-1 shadow-sm;
}


table.basic {
    @apply w-full bg-white rounded-sm shadow-md;
}

table.basic tr th,
table.basic thead tr td {
    @apply text-sm text-gray-600 uppercase border-b border-gray-200 px-4 py-2;
}
table.basic tr td {
    @apply px-4 py-2 w-[100%];
}


table.basic a {
    @apply px-4 rounded-md py-1 inline-flex mx-1 items-center gap-1 ;
}

.btn-red, .btn-default {
    @apply px-4 py-1 rounded-md
}

.btn-red {
    @apply bg-red-300 text-red-600 px-4 rounded-md py-1 shadow-sm;
}

.btn-default {
    @apply bg-white text-gray-800 px-4 rounded-md py-1 border border-gray-300
    shadow-sm;
}